Create Webhook Endpoint

POST
/api/v1/webhooks/endpoints

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description?string|null
events*array<string>
name*string
url*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/webhooks/endpoints" \  -H "Content-Type: application/json" \  -d '{    "events": [      "string"    ],    "name": "string",    "url": "string"  }'
{  "consecutiveFailures": 0,  "createdAt": "string",  "description": "string",  "events": [    "person.created"  ],  "id": "string",  "lastSuccessAt": "string",  "name": "string",  "projectId": "string",  "secret": "string",  "status": "active",  "url": "string"}
{  "_tag": "Api/WebhookValidationError",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/WebhookServiceError",  "cause": "string"}